#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "histogram_internal.h"

TEST_CASE("distinct positive numbers") {
    double min = 0;
    double max = 0;
    find_minmax({ 1, 2 }, min, max);
    CHECK(min == 1);
    CHECK(max == 2);
}
TEST_CASE("check if vector is only one in length") {
    double min = 3;
    double max = 3;
    find_minmax({ 3 }, min, max);
    CHECK(min == 3);
    CHECK(max == 3);
}
TEST_CASE("all numbers are same") {
    double min = 1;
    double max = 1;
    find_minmax({ 1, 1, 1, 1, 1, 1, 1, }, min, max);
    CHECK(min == 1);
    CHECK(max == 1);
}
